
From: Jan Kara <jack@ucw.cz>

Fix a problem in the old quota format when we tried to read quota
information after the end of quota file (that is correct as it might a user
with sufficiently large UID which has no limits or usage).

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/quota_v1.c |    2 ++
 1 files changed, 2 insertions(+)

diff -puN fs/quota_v1.c~fix-for-old-quota-format fs/quota_v1.c
--- 25/fs/quota_v1.c~fix-for-old-quota-format	Wed Jun  2 14:45:43 2004
+++ 25-akpm/fs/quota_v1.c	Wed Jun  2 14:45:43 2004
@@ -52,6 +52,8 @@ static int v1_read_dqblk(struct dquot *d
 
 	/* Now we are sure filp is valid */
 	offset = v1_dqoff(dquot->dq_id);
+	/* Set structure to 0s in case read fails/is after end of file */
+	memset(&dqblk, 0, sizeof(struct v1_disk_dqblk));
 	fs = get_fs();
 	set_fs(KERNEL_DS);
 	filp->f_op->read(filp, (char *)&dqblk, sizeof(struct v1_disk_dqblk), &offset);
_
